package com.zipcoder.payment.main.payment;


public class CreditCard implements Payment {
    private long id;
    private String payerName;
    private String number;
    private Integer expiredMonth = 0;
    private Integer expiredYear = 0;

    public CreditCard () {}

    public CreditCard(long id, String payerName, String number, Integer expiredMonth, Integer expiredYear){

    }


        public long getId() {
            return id;
        }
        public void setId(long id){
            this.id = id;
        }

        public String getPayerName(){
            return payerName;
        }
        public void setPayerName(String payerName){
            this.payerName = payerName;
        }

    @Override
        public String getShortDescription() {

            return "CC " + getPayerName() + " " + getNumber() + " " + getExpiredMonth() +"/"+ getExpiredYear();
        }


    public Integer getExpiredMonth() {
        return expiredMonth;
    }
    public void setExpiredMonth(Integer expiredMonth){
            this.expiredMonth = expiredMonth;
    }

    public Integer getExpiredYear() {
        return expiredYear;
    }

    public void setExpiredYear(Integer expiredYear) {
        this.expiredYear = expiredYear;
    }

    public String getNumber() {
        return number;
    }
    public void setNumber(String number){
            this.number = number;
    }

    @Override
    public int compareTo(Payment o) {


        if (this.getShortDescription().compareToIgnoreCase(o.getShortDescription()) > 0) return 1;
            else if (this.getShortDescription().compareToIgnoreCase(o.getShortDescription()) < 0) return -1;
                else return 0;
    }

}
