package com.zipcoder.payment.main.payment;

import java.util.Arrays;

public class PaymentPresenter {


    public String toString(Payment[] payment) {
        Arrays.sort(payment);

        StringBuilder build = new StringBuilder();
        for(Payment o : payment) build.append(o.getShortDescription()+"\n");
        return build.toString();
        
        }

    public String toStringByPayerName(Payment[] payment) {
        Arrays.sort(payment, new PaymentSortByPayer());

        StringBuilder build = new StringBuilder();
        for(Payment o : payment) build.append(o.getShortDescription()+"\n");
        return build.toString();
    }

    public String toStringById(Payment[] payment) {
        Arrays.sort(payment, (Payment o1, Payment o2) -> Long.compare(o1.getId(), o2.getId()));

        StringBuilder build = new StringBuilder();
        for(Payment o : payment) build.append(o.getShortDescription()+"\n");
        return build.toString();
    }
}








