package com.zipcoder.payment.main.payment;

public class Paypal implements Payment{
    Long id;
    String payerName;
    String email;

    public Paypal () {}

    public Paypal(Long id, String payerName, String email){
        this.id = id; this.payerName = payerName; this.email = email;

    }


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }


    public String getPayerName() {
        return this.payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }


    public String getShortDescription() {
        return "Paypal " + getPayerName() + " " + getEmail();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }


    @Override
    public int compareTo(Payment o) {
        if (this.getShortDescription().compareToIgnoreCase(o.getShortDescription()) < 0) return -1;
            else if (this.getShortDescription().compareToIgnoreCase(o.getShortDescription()) > 0) return 1;
                else return 0;


    }
}
